#
# spec file for package python-iptables
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-iptables
Version:        0.2.0
Release:        6.2
Url:            https://github.com/ldx/python-iptables
Summary:        Python bindings for iptables
License:        Apache-2.0
Group:          Development/Languages/Python
# Source:         https://github.com/ldx/python-iptables/archive/v%{version}.tar.gz
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
Python-iptables is a Python project that provides bindings to the iptables C libraries in Linux.
Interoperability with iptables is achieved using the iptables C libraries (libiptc, libxtables,
and iptables extensions), not calling the iptables executable and parsing its output as most other
iptables wrapper libraries do; this makes python-iptables faster and not prone to parsing errors,
at the same time leveraging all available iptables match and target extensions without further work.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Can't really run tests, needs root access and modifies iptables of build host:
#%%check
#yes | python test.py

%files
%defattr(-,root,root,-)
%doc NOTICE doc
%{python_sitearch}/*

%changelog
* Sun Dec  8 2013 p.drouand@gmail.com
- Update to version 0.2.0
  + No changelog available
- Use tarball generated with Github tags
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Nov 14 2012 saschpe@suse.de
- Initial version
